module Graphics.LambdaCube.HardwareIndexBuffer where

import Graphics.LambdaCube.HardwareBuffer

data IndexType
    = IT_16BIT
    | IT_32BIT
    deriving (Eq,Ord,Show)

class (HardwareBuffer a) => HardwareIndexBuffer a where
    getIndexType  :: a -> IndexType -- ^ Get the type of indexes used in this buffer
    getNumIndexes :: a -> Int       -- ^ Get the number of indexes in this buffer
    getIndexSize  :: a -> Int       -- ^ Get the size in bytes of each index
